%define date 20030604
%define cache /var/cache/yum
%define prepcache /tmp/yum
Summary: RPM installer/updater
Name: yum-headers
Version: 90rolling
Release: %{date}
License: GPL
Group: System Environment/Base
URL: http://www.dulug.duke.edu/yum/
BuildArchitectures: noarch
Requires: yum

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.
yum-headers will populate the base yum directories with the headers
that were current when the rpm was made.  This will save download time.

%post
cd %{cache}
#First do 90rolling
if ! [ -f 90rollingserver/header.info ] ; then
	tar xf yum.headers.server.%{date}.tar
	mv -f server 90rollingserver
fi
if ! [ -f 90rollingupdates/header.info ] ; then
	tar xf yum.headers.updates.%{date}.tar
	mv -f updates 90rollingupdates
fi
#Then clean ourselves up
rm -f yum.headers.server.%{date}.tar
rm -f yum.headers.updates.%{date}.tar

%files 
%{cache}/yum.headers.server.%{date}.tar
%{cache}/yum.headers.updates.%{date}.tar
